Subject: Re: [PATCH/RFC] Revert "git am/mailinfo: Don't look at in-body headers when rebasing"

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Jun 2015 09:04:24 -0700

Paul Tan <[email-masked]> writes:

> On Tue, Jun 16, 2015 at 5:03 PM, Paul Tan <[email-masked]> wrote:
>> This reverts commit d25e51596be9271ad833805a3d6f9012dc24ee79, removing
>> git-mailsplit's --no-inbody-headers option.
>>
>> While --no-inbody-headers was introduced to prevent commit messages from
>> being munged by git-mailinfo while rebasing, the need for this option
>> disappeared since 5e835ca (rebase: do not munge commit log message,
>> 2008-04-16), as git-am bypasses git-mailinfo and gets the commit message
>> directly from the commit ID in the patch.
>>
>> git-am is the only user of --no-inbody-headers, and this option is not
>> documented. As such, it should be removed.
>>
>> Signed-off-by: Paul Tan <[email-masked]>
>
> What do you think about applying this patch?

Indifferent, even though it would be the right thing to do in the
longer term.

Keeping what we think nobody uses does not hurt us at least in the
short term; removing such a thing hurts us if it turns out that
somebody whose use we didn't know about were actually using it.

And my time is better spent at this point in the cycle on other
things than having to worry about possible fallouts from the removal
that is not urgent.